<template>
  <div class="row justify-content-center">
    <div class="col-8">
      <div v-if="caloria">
        <h2 class="jh-entity-heading" data-cy="caloriaDetailsHeading">
          <span v-text="$t('gatewayApp.manillaCaloria.detail.title')">Caloria</span> {{ caloria.id }}
        </h2>
        <dl class="row jh-entity-details">
          <dt>
            <span v-text="$t('gatewayApp.manillaCaloria.caloriasActivas')">Calorias Activas</span>
          </dt>
          <dd>
            <span>{{ caloria.caloriasActivas }}</span>
          </dd>
          <dt>
            <span v-text="$t('gatewayApp.manillaCaloria.descripcion')">Descripcion</span>
          </dt>
          <dd>
            <span>{{ caloria.descripcion }}</span>
          </dd>
          <dt>
            <span v-text="$t('gatewayApp.manillaCaloria.fechaRegistro')">Fecha Registro</span>
          </dt>
          <dd>
            <span v-if="caloria.fechaRegistro">{{ $d(Date.parse(caloria.fechaRegistro), 'long') }}</span>
          </dd>
          <dt>
            <span v-text="$t('gatewayApp.manillaCaloria.user')">User</span>
          </dt>
          <dd>
            {{ caloria.user ? caloria.user.login : '' }}
          </dd>
        </dl>
        <button type="submit" v-on:click.prevent="previousState()" class="btn btn-info" data-cy="entityDetailsBackButton">
          <font-awesome-icon icon="arrow-left"></font-awesome-icon>&nbsp;<span v-text="$t('entity.action.back')"> Back</span>
        </button>
        <router-link v-if="caloria.id" :to="{ name: 'CaloriaEdit', params: { caloriaId: caloria.id } }" custom v-slot="{ navigate }">
          <button @click="navigate" class="btn btn-primary">
            <font-awesome-icon icon="pencil-alt"></font-awesome-icon>&nbsp;<span v-text="$t('entity.action.edit')"> Edit</span>
          </button>
        </router-link>
      </div>
    </div>
  </div>
</template>

<script lang="ts" src="./caloria-details.component.ts"></script>
